[structure.summary]

# 16 Library introduction [[library]](./#library)

## 16.3 Method of description [[description]](description#structure.summary)

### 16.3.2 Structure of each clause [[structure]](structure#summary)

#### 16.3.2.2 Summary [structure.summary]

[1](#1)

[#](http://github.com/Eelis/draft/tree/9adde4bc1c62ec234483e63ea3b70a59724c745a/source/lib-intro.tex#L208)

The Summary provides a synopsis of the category, and introduces the first-level subclauses[.](#1.sentence-1)

Each subclause also provides a summary, listing the headers specified in the
subclause and the library entities provided in each header[.](#1.sentence-2)

[2](#2)

[#](http://github.com/Eelis/draft/tree/9adde4bc1c62ec234483e63ea3b70a59724c745a/source/lib-intro.tex#L213)

The contents of the summary and the detailed specifications include:

- [(2.1)](#2.1)

macros

- [(2.2)](#2.2)

values

- [(2.3)](#2.3)

types and alias templates

- [(2.4)](#2.4)

classes and class templates

- [(2.5)](#2.5)

functions and function templates

- [(2.6)](#2.6)

objects and variable templates

- [(2.7)](#2.7)

concepts
